summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorbiell2015-07-08 15:03:08 -0400
committerbiell2015-07-08 15:03:08 -0400
commit8025b1f76e6f0bd2d512d0b450f5fcf67eee84c1 (patch)
treedc407a414a8ef6bd57ecb94a5914673b9608330b
downloadaur-gkrellsun.tar.gz
Initial checkin
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD23
2 files changed, 39 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..0478c00595d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = gkrellsun
+ pkgdesc = GKrellSun plugin for gkrellm2 to show sunrise and sunset
+ pkgver = 1.0.0
+ pkgrel = 2
+ url = http://gkrellsun.sourceforge.net/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ depends = gkrellm
+ depends = gtk2
+ source = http://downloads.sourceforge.net/project/gkrellsun/gkrellsun%20gkrellm-2.2/1.0.0/gkrellsun-1.0.0.tar.gz
+ md5sums = fbbf5c23a3966b2e16a2bab19a0885b7
+
+pkgname = gkrellsun
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..ebe289a6af0
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Contributor: Biell <biell@pobox.com>
+pkgname=gkrellsun
+pkgver=1.0.0
+pkgrel=2
+pkgdesc="GKrellSun plugin for gkrellm2 to show sunrise and sunset"
+url="http://gkrellsun.sourceforge.net/"
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('gkrellm' 'gtk2')
+makedepends=('pkgconfig')
+source=(http://downloads.sourceforge.net/project/$pkgname/$pkgname%20gkrellm-2.2/$pkgver/$pkgname-$pkgver.tar.gz)
+md5sums=('fbbf5c23a3966b2e16a2bab19a0885b7')
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ /bin/install -D -m755 src20/$pkgname.so \
+ $pkgdir/usr/lib/gkrellm2/plugins/$pkgname.so
+}